Request

Endpoint: !UpdateUserEvClickThrough

https://secure.trust-provider.com/products/!UpdateUserEvClickThrough

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

The following table lists the required, optional, and conditional parameters.

Parameter Requirement Type Max.Length Description

loginName

required

string

64 chars

The account username.

This value is case sensitive.

loginPassword

required

string

128 chars

The account password.

This value is case sensitive.

action

required

string

100 chars

The allowed values are:

  • ReplaceMailAddress — Replaces the click-through email and sends the email to the customer.

  • ResendEmail — Resends the email to the customer.

orderNumber

required

string

128 chars

The order number of a certificate for which a click-through is required.

adminEmailAddress

conditional

string

255 chars

User’s email address.

This parameter is required for the ReplaceMailAddress action, and optional for other actions.

Sample request

curl --location 'https://secure.trust-provider.com/products/!UpdateUserEvClickThrough' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'action=ResendEmail' \
--data-urlencode 'orderNumber=order_number'

Response

The request is successful when the server returns a response with the error code 0.

Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.

The response is formatted in x-www-form-urlencoded format.

Response parameters

The response may contain the following parameters:

Parameter Description

errorCode

The numeric code indicating the result of the request. For more information, see Error codes.

errorMessage

The explanation of the error.

status

The result of the action.

description

The description of the status code.

The possible values for each status code are as follows:

  • 0 — The action was not completed because it is not relevant for current order state.

  • 1 — The action was completed.

  • 2 — Email address was not replaced because it was the same or it was not changed.

Sample success response

errorCode=0&status=1&description=done, email has been sent

Sample error response

errorCode=-17&errorMessage=Request used GET rather than POST!

Error codes

The following table outlines error responses returned by the UpdateUserEvClickThrough API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Error Code Error Message Description

-1

Request was not made over https!

The request must use HTTPS protocol.

-2

'xxxx' is an unrecognized argument!

The provided argument is not recognized.

-3

The 'xxxx' argument is missing!

The required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

-14

An unknown error occurred!

An unknown error occurred.

-16

Incorrect login details, account is locked, password has expired or your source IP is blocked.

The user does not have permission for the requested context.

-17

Request used GET rather than POST!

The request method should be POST.

-20

Order relative errors (see errorMessage for details)

There are errors related to this specific order.

More information will be provided in the errorMessage.